package w83a.w83aBeans;

import java.sql.ResultSet;

import w83a.util.jdbc.W83aDataBase;
import w83a.w83aDAO.w83aConstantesBD.W83aActasBD;
import w83a.w83aDAO.w83aConstantesBD.W83aBaseBeanBD;


public class W83aTramiteActaBean extends W83aBaseBean implements W83aBaseBeanBD{
	private static final long	serialVersionUID	= 1L;

	private String fase;
	private String desc_tramite;
	private String fecha_tramite;
	private String usuario_alta;
	private String fecha_alta;
	private String usuario_modif;
	private String fecha_modif;
	private String fecha_reg_salida;
	private String num_reg_salida;	
	private String numActa;
	private String anyoActa;
	private String territActa;
	private String versionActa; 
	
	public String getFecha_reg_salida() {
		return fecha_reg_salida;
	}

	public void setFecha_reg_salida(String fecha_reg_salida) {
		this.fecha_reg_salida = fecha_reg_salida;
	}

	public String getNum_reg_salida() {
		return num_reg_salida;
	}

	public void setNum_reg_salida(String num_reg_salida) {
		this.num_reg_salida = num_reg_salida;
	}

	public String getNumActa() {
		return numActa;
	}

	public void setNumActa(String numActa) {
		this.numActa = numActa;
	}

	public String getAnyoActa() {
		return anyoActa;
	}

	public void setAnyoActa(String anyoActa) {
		this.anyoActa = anyoActa;
	}

	public String getTerritActa() {
		return territActa;
	}

	public void setTerritActa(String territActa) {
		this.territActa = territActa;
	}

	public String getVersionActa() {
		return versionActa;
	}

	public void setVersionActa(String versionActa) {
		this.versionActa = versionActa;
	}

	public Object rowToBean(Object o, Object otrosValores) throws Exception {
		ResultSet rs= (ResultSet)o;//NOPMD
		if ("cierre".equals(otrosValores)){
			this.numActa = W83aDataBase.getStringFromRS(rs, W83aActasBD.hisTram_numActa);
			this.anyoActa = W83aDataBase.getStringFromRS(rs, W83aActasBD.hisTram_anyoActa);
			this.territActa = W83aDataBase.getStringFromRS(rs, W83aActasBD.hisTram_territActa);
			this.versionActa = W83aDataBase.getStringFromRS(rs, W83aActasBD.hisTram_versionActa);
		}
		else{
			this.desc_tramite = W83aDataBase.getStringFromRS(rs, "DESC_TRAMITE");
			this.fase = W83aDataBase.getStringFromRS(rs, "DESC_FASE");
			this.fecha_tramite = W83aDataBase.getStringFromRS(rs, W83aActasBD.hisTram_fAltaTramite);
			this.usuario_alta = W83aDataBase.getStringFromRS(rs, W83aActasBD.hisTram_usuAlta);
			this.fecha_alta = W83aDataBase.getStringFromRS(rs, W83aActasBD.hisTram_factu);
			this.usuario_modif = W83aDataBase.getStringFromRS(rs, W83aActasBD.hisTram_usuMod);
			this.fecha_modif = W83aDataBase.getStringFromRS(rs, W83aActasBD.hisTram_fMod);
			this.fecha_reg_salida = W83aDataBase.getStringFromRS(rs, W83aActasBD.hisTram_fechaRegSal);
			this.num_reg_salida = W83aDataBase.getStringFromRS(rs, W83aActasBD.hisTram_nRegSalida);
		}
		return this;
	}

	public String getFase() {
		return fase;
	}

	public void setFase(String fase) {
		this.fase = fase;
	}

	public String getDesc_tramite() {
		return desc_tramite;
	}

	public void setDesc_tramite(String desc_tramite) {
		this.desc_tramite = desc_tramite;
	}

	public String getFecha_tramite() {
		return fecha_tramite;
	}

	public void setFecha_tramite(String fecha_tramite) {
		this.fecha_tramite = fecha_tramite;
	}

	public String getUsuario_alta() {
		return usuario_alta;
	}

	public void setUsuario_alta(String usuario_alta) {
		this.usuario_alta = usuario_alta;
	}

	public String getFecha_alta() {
		return fecha_alta;
	}

	public void setFecha_alta(String fecha_alta) {
		this.fecha_alta = fecha_alta;
	}

	public String getUsuario_modif() {
		return usuario_modif;
	}

	public void setUsuario_modif(String usuario_modif) {
		this.usuario_modif = usuario_modif;
	}

	public String getFecha_modif() {
		return fecha_modif;
	}

	public void setFecha_modif(String fecha_modif) {
		this.fecha_modif = fecha_modif;
	}

	public static long getSerialVersionUID() {
		return serialVersionUID;
	}	
}
